Bug 84556 - No no0b friendly way to remove old kernels or third party rpm's
No no0b friendly way to remove old kernels or third party rpm's
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-18 15:22 EST by Fred Pedrotti
Modified: 2007-04-18 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 15:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred Pedrotti 2003-02-18 15:22:03 EST
Description of problem:
I know this is more of a request rather than a bug, but I am fallowing the
direction of one of your QA guys at LWE. They told me to report it here and you
all would forwared it to the proper place. :)
point:1
After several kernel updateds there is no no0b friendly way to view and remove
old kernels in 8.0 that goes for third party packages  as well(GnoRPM). I know
how to rpm -e package.rpm but for people new to Linux/RedHat this may get people
frustrated wanting to clean up their box.
point2:
Also the pkg managers ability to read installed packages is faulty at times.
This may be on bugzilla already but as su - and doing an rpm -e you still get a
package is not installed is much a pane in the arse. yes I did an rpm --rebuilddb.

Version-Release number of selected component (if applicable):

8.0 

Point2 seems to reflect all updated kernels as far back as 7.2 


How reproducible:

install 8.0


Steps to Reproduce:
for point 2
1.install rpm ie via su - rpm -ivh  Mplayer*rpm

2.su - 
rpm -e mplayer.somenumbers.somearch.rpm

3.
mplayer.somenumbers.somearch.rpm is not installed
    
Actual results: installd but not reported in rpm db


Expected results:install uninstall via rpm


Additional info: Point1 is waht I realy want to convay as a needed feature to
any new releace, but point2 is a little troubleing and I expect it is being
addressed.
Comment 1 Jeff Johnson 2003-02-20 11:09:43 EST
What's wrong with the ouput of
    rpm -q kernel
Comment 2 Fred Pedrotti 2003-02-20 12:23:41 EST
I just saying Joe no0b needs a graphical way to view what is installed in
his/her system to start out. For a biz application I can understand not having
that much cotrole or even having users have root access, but to some new person
at home thinking of switching to Red Hat it is a lot to learn from the get go
and will frustrate people rather than winning them over. Hell install Slackware
and you are forced to learn or sink, but most people won't go that route. They
will buy a Mac or reinstall Windoze.
Comment 3 Barry K. Nathan 2003-04-27 00:43:19 EDT
> rpm -e mplayer.somenumbers.somearch.rpm

Fred, try just "rpm -e mplayer.somenumbers" -- drop the ".somearch.rpm". I can't
remember "rpm -e foobar.version.arch.rpm" *ever* working. (Actually, that would
be a nice enhancement to have.)
Comment 4 Paul Nasrat 2005-09-29 15:13:03 EDT
Package selection/installation/removal is being redone for FC5.  The mechanism
to find/remove packages for the end user graphically will be provided.

Note You need to log in before you can comment on or make changes to this bug.